package controllers

import (
	"eta/eta_index_lib/models"
	"eta/eta_index_lib/services/edb_refresh"
	"eta/eta_index_lib/utils"
)

type EdbRefreshController struct {
	BaseAuthController
}

// GetMysteelIndexConfigList
// @Title 获取钢联的刷新配置
// @Description 获取钢联的刷新配置
// @Success 200 {object}
// @router /config/mysteel_index/list [post]
func (this *EdbRefreshController) GetMysteelIndexConfigList() {
	br := new(models.BaseResponse).Init()
	defer func() {
		this.Data["json"] = br
		this.ServeJSON()
	}()

	list, err := edb_refresh.GetDefaultConfigList(utils.DATA_SOURCE_MYSTEEL_CHEMICAL, 0)

	if err != nil {
		br.Msg = "获取失败"
		br.ErrMsg = "获取失败，ERR：" + err.Error()
	}

	br.Ret = 200
	br.Success = true
	br.Msg = "获取成功"
	br.Data = list
}

// GetSmmConfigList
// @Title 获取有色的刷新配置
// @Description 获取有色的刷新配置
// @Success 200 {object}
// @router /config/smm/list [post]
func (this *EdbRefreshController) GetSmmConfigList() {
	br := new(models.BaseResponse).Init()
	defer func() {
		this.Data["json"] = br
		this.ServeJSON()
	}()

	list, err := edb_refresh.GetDefaultConfigList(utils.DATA_SOURCE_YS, 0)

	if err != nil {
		br.Msg = "获取失败"
		br.ErrMsg = "获取失败，ERR：" + err.Error()
	}

	br.Ret = 200
	br.Success = true
	br.Msg = "获取成功"
	br.Data = list
}
